Bug 970596 - (CVE-2013-2138) CVE-2013-2138 gallery3: Improper stripping of URL fragments in uploadify and flowplayer SWF files might lead to replay attacks
CVE-2013-2138 gallery3: Improper stripping of URL fragments in uploadify and ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130602,reported=2...
: Security
Depends On: 970598 970599
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 08:43 EDT by Jan Lieskovsky
Modified: 2015-08-21 19:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: Gallery-3.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 19:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-04 08:43:00 EDT
A security flaw was found in the way uploadify and flowplayer SWF files handling functionality of Gallery version 3, an open source project with the goal to develop and support leading photo sharing web application solutions, processed certain URL fragments passed to these files (certain URL fragments were not stripped properly when these files were called via direct URL request(s)). A remote attacker could use this flaw to conduct replay attacks.

References:
[1] http://sourceforge.net/mailarchive/message.php?msg_id=30925931
[2] http://galleryproject.org/gallery_3_0_8

Relevant upstream tickets (and patches):
* uploadify case:
  [3] http://sourceforge.net/apps/trac/gallery/ticket/2068
  [4] https://github.com/gallery/gallery3/commit/80bb0f2222dd99ed2ce59e804b833bab63cc376a

* flowplayer case:
  [5] http://sourceforge.net/apps/trac/gallery/ticket/2070
  [6] https://github.com/gallery/gallery3/commit/3e5bba2cd4febe8331c0158c11ea418f21c72efa
  [7] https://github.com/gallery/gallery3/commit/12e51694fdc39c752cc439424cf309866f9f914a
Comment 1 Jan Lieskovsky 2013-06-04 08:44:53 EDT
These issues affect the versions of the gallery3 package, as shipped with Fedora release of 17, 18, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-04 08:45:43 EDT
Created gallery3 tracking bugs for this issue

Affects: fedora-all [bug 970598]
Affects: epel-6 [bug 970599]
Comment 3 Jan Lieskovsky 2013-06-04 09:15:01 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/06/04/1
Comment 4 Jan Lieskovsky 2013-06-05 05:36:53 EDT
The CVE identifier of CVE-2013-2138 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/06/04/9

Note You need to log in before you can comment on or make changes to this bug.